Bug 1436076 - Please package perl-Email-Sender for CentOS 7
Summary: Please package perl-Email-Sender for CentOS 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Email-Sender
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 05:41 UTC by Clément OUDOT
Modified: 2020-06-25 11:58 UTC (History)
5 users (show)

Fixed In Version: perl-Email-Sender-0.120002-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1469031 (view as bug list)
Environment:
Last Closed: 2017-09-26 20:52:55 UTC
Type: Bug
emmanuel: needinfo+


Attachments (Terms of Use)

Description Clément OUDOT 2017-03-27 05:41:36 UTC
I would need this package in CentOS 7.

Reading this bug, I though it was already done: https://bugzilla.redhat.com/show_bug.cgi?id=1241821

But the package seems not available in EPEL 7 repository.

Thanks for your help.

Comment 1 Nicolas Chauvet (kwizart) 2017-06-23 07:58:32 UTC
@Emmanuel
Please build the package for epel so every lemondap users can sanely rely on Base + epel + lemonldap.
Thx

Comment 2 Emmanuel Seyman 2017-06-23 08:18:20 UTC
Is there a minimum version of perl-Email-Sender you need? Any semi-recent version of this package requires updates to perl modules in Base.

Comment 3 Nicolas Chauvet (kwizart) 2017-06-23 08:38:20 UTC
Thx for the answer.

LemonLDAP-NG Trunk (2.0.0) has:
build_requires:
...
  Email::Sender: '0'
recommends:
..
  Email::Sender: '1.300027'

So any version could match, but version 1.300027 is recommended.
It could be fine to have a (potentially lower) version in el6 also.

Comment 4 Nicolas Chauvet (kwizart) 2017-06-23 08:49:11 UTC
I'm trying to test a known good version.

For now, using latest version in master:
DEBUG util.py:439:  Error: No Package found for perl(Moo) >= 1.000008
DEBUG util.py:439:  Error: No Package found for perl(Moo::Role)
DEBUG util.py:439:  Error: No Package found for perl(MooX::Types::MooseLike::Base)
DEBUG util.py:439:  Error: No Package found for perl(Sub::Override)
DEBUG util.py:439:  Error: No Package found for perl(Throwable::Error) >= 0.200003

Using a version in f19 (0.120002)
DEBUG util.py:439:  Error: No Package found for perl(Sub::Override)
DEBUG util.py:439:  Error: No Package found for perl(Throwable::Error) >= 0.100090

Thoses last two perl packages aren't in epel7 at least.

Comment 5 Nicolas Chauvet (kwizart) 2017-06-23 10:18:02 UTC
Emmanuel,

The shorter path (using versions that doesn't has any dependencies higher than what is available in base), It shows:

* Using the master version for perl-Sub-Override
* Using f19 version of perl-Throwable
The main issue is perl(Devel::StackTrace) >= 1.32 wheas we have 1.30 in base.
* Using f19 version of perl-Email-Sender

I think that using f19 versions in epel7 is a safe bet. Because thoses packages should be contemporary with el7 ones. That been said, it's still a problem to build "older" packages, but that's not something new since el7 is old anyway.

Anyone expect issue with this setup ?

Comment 6 Emmanuel Seyman 2017-06-26 06:18:37 UTC
I went with the versions of those packages that were in F20 and those seem to compile without issues.

kwizart, Clément: can you confirm that these packages work for you?
http://people.parinux.org/~seyman/1436076/

Comment 7 Nicolas Chauvet (kwizart) 2017-07-05 10:00:40 UTC
It seems good to me.
Can you go ahead ?

Comment 8 Clément OUDOT 2017-07-10 09:42:24 UTC
I manage to install them too.

Comment 9 Petr Pisar 2017-08-07 06:57:55 UTC
It's possible to build perl-Email-Sender-1.300031. See <http://people.redhat.com/~ppisar/perl-email/>. The spec files are based on Fedora 27 and quickly hacked. They would require some cleaning for serious purposes.

Comment 10 Clément OUDOT 2017-08-30 12:09:05 UTC
Hi,

packages provided by Emmanuel are working, could they be uploaded to EPEL 7 stable repo? Seems they are not available for the moment in http://dl.fedoraproject.org/pub/epel/7/x86_64/p/

Comment 11 Fedora Update System 2017-09-10 21:05:17 UTC
perl-Email-Sender-0.120002-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7cf426b0b0

Comment 12 Fedora Update System 2017-09-12 00:50:38 UTC
perl-Email-Sender-0.120002-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7cf426b0b0

Comment 13 Fedora Update System 2017-09-26 20:52:55 UTC
perl-Email-Sender-0.120002-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Andrey Ponomarenko 2020-06-25 10:49:53 UTC
Why perl-Email-Sender requires perl-devel? I can't remove *-devel packages due to this.

Comment 15 Petr Pisar 2020-06-25 11:35:25 UTC
Have you read the YUM output? It's explained there:

# yum --enablerepo=epel remove perl-devel
[...]
Resolving Dependencies
--> Running transaction check
---> Package perl-devel.x86_64 4:5.16.3-295.el7 will be erased
--> Processing Dependency: perl-devel for package: 1:perl-ExtUtils-ParseXS-3.18-3.el7.noarch
--> Processing Dependency: perl-devel for package: perl-ExtUtils-Install-1.58-295.el7.noarch
--> Running transaction check
---> Package perl-ExtUtils-Install.noarch 0:1.58-295.el7 will be erased
--> Processing Dependency: perl(ExtUtils::Install) for package: perl-ExtUtils-MakeMaker-6.68-3.el7.noarch
--> Processing Dependency: perl(ExtUtils::Installed) for package: perl-ExtUtils-MakeMaker-6.68-3.el7.noarch
--> Processing Dependency: perl(ExtUtils::Packlist) for package: perl-ExtUtils-MakeMaker-6.68-3.el7.noarch
---> Package perl-ExtUtils-ParseXS.noarch 1:3.18-3.el7 will be erased
--> Running transaction check
---> Package perl-ExtUtils-MakeMaker.noarch 0:6.68-3.el7 will be erased
--> Processing Dependency: perl(ExtUtils::MakeMaker) >= 6.11 for package: perl-Throwable-0.102080-10.el7.noarch
--> Running transaction check
---> Package perl-Throwable.noarch 0:0.102080-10.el7 will be erased
--> Processing Dependency: perl(Throwable::Error) >= 0.100090 for package: perl-Email-Sender-0.120002-4.el7.noarch
--> Running transaction check
---> Package perl-Email-Sender.noarch 0:0.120002-4.el7 will be erased
--> Finished Dependency Resolution
--> Finding unneeded leftover dependencies
---> Marking perl-Net-SMTP-SSL to be removed - no longer needed by perl-Email-Sender
---> Marking perl-Email-Simple to be removed - no longer needed by perl-Email-Sender
---> Marking perl-Email-Abstract to be removed - no longer needed by perl-Email-Sender
---> Marking perl-Email-Address to be removed - no longer needed by perl-Email-Sender
---> Marking perl-ExtUtils-Manifest to be removed - no longer needed by perl-ExtUtils-MakeMaker
---> Marking perl-Email-Date-Format to be removed - no longer needed by perl-Email-Simple
Found and removing 6 unneeded dependencies
--> Running transaction check
---> Package perl-Email-Abstract.noarch 0:3.007-1.el7.1 will be erased
---> Package perl-Email-Address.noarch 0:1.898-3.el7 will be erased
---> Package perl-Email-Date-Format.noarch 0:1.002-15.el7 will be erased
---> Package perl-Email-Simple.noarch 0:2.214-1.el7 will be erased
---> Package perl-ExtUtils-Manifest.noarch 0:1.61-244.el7 will be erased
---> Package perl-Net-SMTP-SSL.noarch 0:1.01-13.el7 will be erased
--> Finished Dependency Resolution

As you can see the dependency chain is: perl-Email-Sender → perl-Throwable → perl-ExtUtils-MakeMaker → perl-ExtUtils-Install → perl-devel.

While the dependency from perl-ExtUtils-Install on perl-devel is probably bogus, it's part of RHEL and cannot be removed for a backward compatibility.
perl-ExtUtils-MakeMaker dependency on perl-ExtUtils-Install is genuine, because ExtUtils::MakeMaker needs it for installing files.
perl-Throwable dependency on perl-ExtUtils-MakeMaker is suspicious. Reading perl-Throwable sources confirms the dependency is not needed. And indeed this flaw was reported (bug #1052853) and fixed in Fedora. I recommend you filing a bug against perl-Throwable from EPEL 7, if you want to remove the unneeded dependency.

Comment 16 Emmanuel Seyman 2020-06-25 11:58:36 UTC
(In reply to Petr Pisar from comment #15)
> 
> As you can see the dependency chain is: perl-Email-Sender → perl-Throwable → [...]

Nitpick: perl-Email-Sender → perl-Moose → perl-Throwable → [...]


Note You need to log in before you can comment on or make changes to this bug.